AusweisApp(1)

NAME
AusweisApp - Official authentication app for German ID cards and residence permits

SYNOPSIS

AusweisApp [-h|--help]
AusweisApp [--help-all]
AusweisApp [-v|--version]
AusweisApp [--show]
AusweisApp [--keep] [--no-logfile] [--no-loghandler] [--show] [--no-proxy] [--ui { qml|websocket }] [--port PORT] [--address ADDRESS]

DESCRIPTION
AusweisApp allows you to authenticate yourself against websites via your German ID card and residence permits.

You will need:
* an ID card that is enabled for online identification
* A compatible NFC device (most NFC readers should work, NFC-enabled phones can * also be used)
* AusweisApp
* A browser
* A website that supports authentication via German ID card

When you visit such a website, AusweisApp will be triggered and will ask you if you want to authenticate against the website.

This program will provide a local webserver for your browser to interface against.

OPTIONS

-h, --help
    Displays a short help message.

--help-all
    Displays help including Qt specific options.

-v, --version
    Displays version information.

--keep
    By default, AusweisApp writes a log to a file matching ${TMP}/AusweisApp.*.log. When the program terminates, it will be deleted. This setting prevents deletion.

--no-logfile
    Suppress writing a log file to ${TMP}/AusweisApp.*.log. Logs will still be written to STDOUT.

--no-loghandler
    Disable default log handler. This disables logging to STDOUT.

--show
    Show window on startup.

--no-proxy
    Disable system proxy.

--ui { qml|webservice|websocket }
    This option allows multiple values. - "qml" will start the program with a visible UI. - "websocket" will let it start in the background as an SDK. This is only useful when integrating AusweisApp into other programs. - "webservice" starts listening on given port/address.

    Default is "qml,webservice,websocket".

--port PORT
    Change the listening port for the WebSocket. Default is 24727. Selecting "0" is a special case. AusweisApp will then select a random port and write the port number to a file in ${TMP}/AusweisApp.<PID>.port.

--address ADDRESS
    Use given addresses for interface binding. Normally AusweisApp is bound to localhost only as it is a security requirement. Useful for testing only. This option allows multiple values.

RETURN VALUE
AusweisApp will return 0 when successfully terminated.

ENVIRONMENT

QT_QPA_PLATFORM={ wayland|X11 }
    You may force the session type to wayland or X11. This is only needed for debugging purposes. XDG_SESSION_TYPE will be ignored on gnome.

FILES

~/.config/AusweisApp_CE/AusweisApp2.conf File path where the user config is saved.

CAVEATS
Currently there is no way to terminate the program on gnome as the TrayIcon is mandatory.

AUTHOR
This man page was written by Lee Garrett (debian@rocketjump.eu) for Debian (but may be used by others).

SEE ALSO
https://www.ausweisapp.bund.de/en
https://www.ausweisapp.bund.de/sdk